Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Interface Filter<T>

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BobChrisTreeNormalizer.AOverAFilter, BobChrisTreeNormalizer.EmptyFilter, Dependencies.DependentPuncTagRejectFilter, Dependencies.DependentPuncWordRejectFilter

    public interface Filter<T>

extends Serializable

Filter is an interface for predicate objects which respond to the `accept` method.

Author:
  Dan Klein

Method Summary
`boolean` | `accept(T obj)` Checks if the given object passes the filter.

Method Detail

### accept

    boolean accept(T obj)

  Checks if the given object passes the filter.

  Parameters:
    `obj` - an object to test

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group